
function counts = replace_counts(x)
	% Replace each value by the number of times it occurs in x.
	%
	% For example:
	%   replace_counts([1 2 3 3 1 1 1]) == [4 1 2 2 4 4 4]
	
	[u,j_,i] = unique(x(:));
	h = hist(i,1:length(u));
	counts = h(i);
	counts = reshape(counts,size(x));
end
