% Train weight vectors on several datasets
% Average over n graphs, to get a smoother vector

n = 100;

mkdir ../out

if 1
	ws=[];
	for i=1:n
		ws(:,i)=train_svm_on_named_dataset('Big 0.5','node_average',1,'min_edge_per_node',1,'tune_mode','fast');
	end
	wmean_big_05_fast = mean(ws,2);
	mean(std(ws,0,2))
	save -ascii ../out/wmean_big_05_fast.txt wmean_big_05_fast
end

if 1
	ws=[];
	for i=1:n
		ws(:,i)=train_svm_on_named_dataset('Big 0.5','node_average',1,'min_edge_per_node',1);
	end
	wmean_big_05 = mean(ws,2);
	mean(std(ws,0,2))
	save -ascii ../out/wmean_big_05.txt wmean_big_05
end

if 1
	ws=[];
	for i=1:n
		ws(:,i)=train_svm_on_named_dataset('Small 0.5','node_average',1,'min_edge_per_node',1,'tune_mode','fast');
	end
	wmean_small_05_fast = mean(ws,2);
	mean(std(ws,0,2))
	save -ascii ../out/wmean_small_05_fast.txt wmean_small_05_fast
end

if 1
	ws=[];
	for i=1:n
		ws(:,i)=train_svm_on_named_dataset('Small 0.5','node_average',1,'min_edge_per_node',1);
	end
	wmean_small_05 = mean(ws,2);
	mean(std(ws,0,2))
	save -ascii ../out/wmean_small_05.txt wmean_small_05
end

if 1
	ws=[];
	for i=1:n
		ws(:,i)=train_svm_on_named_dataset('Small 0.6','node_average',1,'min_edge_per_node',1);
	end
	wmean_small_06 = mean(ws,2);
	mean(std(ws,0,2))
	save -ascii ../out/wmean_small_06.txt wmean_small_06
end

if 1
	ws=[];
	for i=1:n
		ws(:,i)=train_svm_on_named_dataset('Small 0.7','node_average',1,'min_edge_per_node',1);
	end
	wmean_small_07 = mean(ws,2);
	mean(std(ws,0,2))
	save -ascii ../out/wmean_small_07.txt wmean_small_07
end
